org.modeshape.jcr.query

## Class JcrQueryResult.SingleSelectorQueryResultRowIterator

- java.lang.Object
- - org.modeshape.jcr.query.JcrQueryResult.QueryResultIterator
  - - org.modeshape.jcr.query.JcrQueryResult.QueryResultRowIterator
    - - org.modeshape.jcr.query.JcrQueryResult.SingleSelectorQueryResultRowIterator

- All Implemented Interfaces:
    Iterator, RowIterator, RangeIterator
  Enclosing class:
    JcrQueryResult

      @NotThreadSafe
      protected static class JcrQueryResult.SingleSelectorQueryResultRowIterator
      extends JcrQueryResult.QueryResultRowIterator

  The `RowIterator` implementation returned by the `JcrQueryResult`.
  See Also:
    `JcrQueryResult.getRows()`

- - ### Field Summary

    - ### Fields inherited from class org.modeshape.jcr.query.JcrQueryResult.QueryResultRowIterator

      `columnNames, columns, query`

    - ### Fields inherited from class org.modeshape.jcr.query.JcrQueryResult.QueryResultIterator

      `context`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JcrQueryResult.SingleSelectorQueryResultRowIterator(JcrQueryContext context, String query, NodeSequence sequence, QueryResults.Columns columns)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Row` | `createRow(NodeSequence.Batch batch)`

    - ### Methods inherited from class org.modeshape.jcr.query.JcrQueryResult.QueryResultRowIterator

      `getPropertyNameForColumnName, hasSelector, jcrChildCount, jcrDepth, jcrDouble, jcrDouble, jcrId, jcrLocalName, jcrLong, jcrName, jcrName, jcrName, jcrPath, jcrPath, jcrString, jcrUuid, next, nextRow, nodeIndexForSelector, remove`

    - ### Methods inherited from class org.modeshape.jcr.query.JcrQueryResult.QueryResultIterator

      `findNextBatch, getPosition, getSize, hasNext, moveToNextRow, skip`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.jcr.RangeIterator

      `getPosition, getSize, skip`

    - ### Methods inherited from interface java.util.Iterator

      `hasNext`

- - ### Constructor Detail

    - #### JcrQueryResult.SingleSelectorQueryResultRowIterator

          protected JcrQueryResult.SingleSelectorQueryResultRowIterator(JcrQueryContext context,
                                                             String query,
                                                             NodeSequence sequence,
                                                             QueryResults.Columns columns)

  - ### Method Detail

    - #### createRow

          protected Row createRow(NodeSequence.Batch batch)

      Overrides:
        `createRow` in class `JcrQueryResult.QueryResultRowIterator`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.